Skip to main content
`Ctrl`+`K`

# imageio.v2.volread

imageio.v2.volread(uri, format=None, **kwargs)

  Reads a volume from the specified file. Returns a numpy array, which comes with a dict of meta data at its ‘meta’ attribute.

  Parameters:
    uri{str, pathlib.Path, bytes, file}

      The resource to load the volume from, e.g. a filename, pathlib.Path, http address or file object, see the docs for more info.

    format str

      The format to use to read the file. By default imageio selects the appropriate for you based on the filename and its contents.

    kwargs…

      Further keyword arguments are passed to the reader. See `help()` to see what arguments are available for a particular format.